📘 apiget API Documentation

HLR API LIVE

Endpoint

GET /api/hlr/{mobile}?token=YOUR_API_TOKEN

Example

https://robo.apiget.in/api/hlr/9876543210?token=YOUR_API_TOKEN

Description

Fetches mobile operator and circle information. Wallet is charged ₹0.10 per hit unless the user has an active subscription.

Pricing

₹0.10 per HLR hit

HLR API v2.0 NEW

Endpoint

GET /api/hlr?number={mobile}&token=YOUR_API_TOKEN

Example

https://robo.apiget.in/api/hlr?number=9876543210&token=YOUR_API_TOKEN

Description

Fetches mobile operator and circle information using query parameters. This is the upgraded and simplified response version. Wallet is charged ₹0.10 per hit unless the user has an active subscription.

Success Response

{
      "status": "SUCCESS",
      "operatorName": "Jio",
      "operatorCode": "JR",
      "circleRefID": "22",
      "circleName": "WEST BENGAL"
    }

Failure Response

{
      "status": "FAILED"
    }

Pricing

₹0.10 per HLR hit

View Plan API LIVE

Endpoint

GET /api/viewplan/{operator}/{circleCode}?token=YOUR_API_TOKEN

Example

https://robo.apiget.in/api/viewplan/vi/22?token=YOUR_API_TOKEN

Operator Codes

airtel → Airtel
jio    → Jio
vi     → Vodafone
bsnl  → BSNL
      

Circle Codes

1  → West Bengal
2  → Andhra Pradesh
3  → Assam
5  → Gujarat
6  → Haryana
7  → Himachal Pradesh
8  → Jammu Kashmir
9  → Karnataka
10 → Kerala
11 → Madhya Pradesh
12 → Maharashtra & GOA
13 → North East
14 → Orissa
15 → Punjab
16 → Rajasthan
17 → Tamil Nadu
18 → UP West
19 → UP East
21 → Delhi NCR
22 → Kolkata
23 → Mumbai
25 → Bihar Jharkhand
      

Description

Fetches prepaid mobile recharge plans for the selected operator and circle. Wallet is charged ₹0.10 per request unless the user has an active subscription.

Pricing

₹0.10 per View Plan hit

Mobile Roffer API LIVE

Endpoint

GET /api/mroffer/{number}/{operator}?token=YOUR_API_TOKEN

Example

https://robo.apiget.in/api/mroffer/9876543210/AIRTEL?token=YOUR_API_TOKEN

Parameters

number   → Mobile Number (10 digit)
operator → airtel | vodafone
token    → Your API Token
      

Operator Codes

AIRTEL   → Airtel
VODAFONE → Vi
      

Description

Fetches mobile special recharge offers (Roffer) for the given mobile number and operator. Returns the exact provider response without any modification. Wallet is charged ₹0.10 per request unless the user has an active subscription.

Success Response (Sample)

{
  "status": "SUCCESS",
  "Response": [
    {
      "price": "29",
      "offer": "RC29=2GB data, valid for 1 day",
      "offerDetails": "Stay connected with 2GB data at just Rs29",
      "commAmount": "",
      "commType": "RS"
    },
    {
      "price": "299",
      "offer": "RC299=Unlimited call, 2GB/day, 100SMS/day, 28 days",
      "offerDetails": "Get 2GB/day data and 28 days of validity at just Rs299",
      "commAmount": "5.50",
      "commType": "RS"
    }
  ]
}

Invalid Token / IP Response

{
  "statuscode": "ERR",
  "status": "ERR",
  "message": "Invalid Domain or Ip Address or Api Token"
}

Pricing

₹0.10 per Roffer hit

DTH Info API LIVE

Endpoint

GET /fetchDthPlan/{number}/{operator}?token=YOUR_API_TOKEN

Example

https://robo.apiget.in/fetchDthPlan/3052400954/airteldth?token=YOUR_API_TOKEN

DTH Operator Codes

airteldth → Airtel DTH
dishtv    → Dish TV
sundirect → Sun Direct
tataplay  → Tata Play
videocon  → Videocon
      

Description

Fetches DTH customer information such as balance, last recharge, next recharge date and active pack details. Wallet is charged ₹0.10 per request unless the user has an active subscription.

Pricing

₹0.10 per DTH info hit

Success Response

{
  "status": "success",
  "data": {
    "aiCustName": "Gopal Chowdhury",
    "aiCurrentBal": "282.89",
    "aiRechargeDate": "2026-02-27",
    "aiRechargeVal": 0,
    "aibasePackEndDate": "Primary NCF,Bengali Ultimate 1M"
  },
  "message": "Data fetched successfully"
}

Authentication

All APIs require an API Token. Tokens can be generated from the API Tokens page.

token=YOUR_API_TOKEN